Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.context
Class HashMapContext

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.HashMap
                  |
                  +--org.apache.commons.jexl.context.HashMapContext

All Implemented Interfaces:
  Cloneable, JexlContext, Map, Serializable

public class HashMapContext
extends HashMap
implements JexlContext

Implementation of JexlContext based on a HashMap

Version:
  $Id: HashMapContext.java,v 1.4 2004/08/23 13:51:59 dion Exp $
See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`Map.Entry`

Constructor Summary
`HashMapContext()`

Method Summary
`Map` | `getVars()` Retrives the Map of variables associated with this JexlContext.
`void` | `setVars(Map vars)` Replaces variables in a JexlContext with the variables contained in the supplied Map.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### HashMapContext

    public HashMapContext()

Method Detail

### setVars

    public void setVars(Map vars)

  Description copied from interface: `JexlContext`
  Replaces variables in a JexlContext with the variables contained in the supplied Map. When setVars() is called on a JexlContext, it clears the current Map and puts each entry of the supplied Map into the current variable Map.
  Specified by:
    `setVars` in interface `JexlContext`
  Following copied from interface: `org.apache.commons.jexl.JexlContext`
  Parameters:
    `vars` - Contents of vars will be replaced with the content of this Map

### getVars

    public Map getVars()

  Description copied from interface: `JexlContext`
  Retrives the Map of variables associated with this JexlContext. The keys of this map correspond to variable names referenced in a JEXL expression.
  Specified by:
    `getVars` in interface `JexlContext`
  Following copied from interface: `org.apache.commons.jexl.JexlContext`
  Returns:
    A reference to the variable Map associated with this JexlContext.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.